// D import file generated from 'derelict/sfml/afuncs.d'
module derelict.sfml.afuncs;
private 
{
    import derelict.util.compat;
    import derelict.sfml.config;
    import derelict.sfml.atypes;
}
version (D_Version2)
{
    mixin("alias const(sfInt16*) SFI16PTR;");
}
else
{
    alias sfInt16* SFI16PTR;
}
extern (C) 
{
    alias void function(float) da_sfListener_SetGlobalVolume;
    alias float function() da_sfListener_GetGlobalVolume;
    alias void function(float, float, float) da_sfListener_SetPosition;
    alias void function(float*, float*, float*) da_sfListener_GetPosition;
    alias void function(float, float, float) da_sfListener_SetTarget;
    alias void function(float*, float*, float*) da_sfListener_GetTarget;
    alias sfMusic* function(CCPTR) da_sfMusic_CreateFromFile;
    alias sfMusic* function(in ubyte*, size_t) da_sfMusic_CreateFromMemory;
    alias void function(sfMusic*) da_sfMusic_Destroy;
    alias void function(sfMusic*, sfBool) da_sfMusic_SetLoop;
    alias sfBool function(sfMusic*) da_sfMusic_GetLoop;
    alias float function(sfMusic*) da_sfMusic_GetDuration;
    alias void function(sfMusic*) da_sfMusic_Play;
    alias void function(sfMusic*) da_sfMusic_Pause;
    alias void function(sfMusic*) da_sfMusic_Stop;
    alias uint function(sfMusic*) da_sfMusic_GetChannelsCount;
    alias uint function(sfMusic*) da_sfMusic_GetSampleRate;
    alias sfSoundStatus function(sfMusic*) da_sfMusic_GetStatus;
    alias float function(sfMusic*) da_sfMusic_GetPlayingOffset;
    alias void function(sfMusic*, float) da_sfMusic_SetPitch;
    alias void function(sfMusic*, float) da_sfMusic_SetVolume;
    alias void function(sfMusic*, float, float, float) da_sfMusic_SetPosition;
    alias void function(sfMusic*, sfBool) da_sfMusic_SetRelativeToListener;
    alias void function(sfMusic*, float) da_sfMusic_SetMinDistance;
    alias void function(sfMusic*, float) da_sfMusic_SetAttenuation;
    alias float function(sfMusic*) da_sfMusic_GetPitch;
    alias float function(sfMusic*) da_sfMusic_GetVolume;
    alias void function(sfMusic*, float*, float*, float*) da_sfMusic_GetPosition;
    alias sfBool function(sfMusic*) da_sfMusic_IsRelativeToListener;
    alias float function(sfMusic*) da_sfMusic_GetMinDistance;
    alias float function(sfMusic*) da_sfMusic_GetAttenuation;
    alias sfSound* function() da_sfSound_Create;
    alias void function(sfSound*) da_sfSound_Destroy;
    alias void function(sfSound*) da_sfSound_Play;
    alias void function(sfSound*) da_sfSound_Pause;
    alias void function(sfSound*) da_sfSound_Stop;
    alias void function(sfSound*, sfSoundBuffer*) da_sfSound_SetBuffer;
    alias sfSoundBuffer* function(sfSound*) da_sfSound_GetBuffer;
    alias void function(sfSound*, sfBool) da_sfSound_SetLoop;
    alias sfBool function(sfSound*) da_sfSound_GetLoop;
    alias sfSoundStatus function(sfSound*) da_sfSound_GetStatus;
    alias void function(sfSound*, float) da_sfSound_SetPitch;
    alias void function(sfSound*, float) da_sfSound_SetVolume;
    alias void function(sfSound*, float, float, float) da_sfSound_SetPosition;
    alias void function(sfSound*, sfBool) da_sfSound_SetRelativeToListener;
    alias void function(sfSound*, float) da_sfSound_SetMinDistance;
    alias void function(sfSound*, float) da_sfSound_SetAttenuation;
    alias void function(sfSound*, float) da_sfSound_SetPlayingOffset;
    alias float function(sfSound*) da_sfSound_GetPitch;
    alias float function(sfSound*) da_sfSound_GetVolume;
    alias void function(sfSound*, float*, float*, float*) da_sfSound_GetPosition;
    alias sfBool function(sfSound*) da_sfSound_IsRelativeToListener;
    alias float function(sfSound*) da_sfSound_GetMinDistance;
    alias float function(sfSound*) da_sfSound_GetAttenuation;
    alias float function(sfSound*) da_sfSound_GetPlayingOffset;
    alias sfSoundBuffer* function(CCPTR) da_sfSoundBuffer_CreateFromFile;
    alias sfSoundBuffer* function(in ubyte*, size_t) da_sfSoundBuffer_CreateFromMemory;
    alias sfSoundBuffer* function(in sfInt16, size_t, uint, uint) da_sfSoundBuffer_CreateFromSamples;
    alias void function(sfSoundBuffer*) da_sfSoundBuffer_Destroy;
    alias sfBool function(sfSoundBuffer*, CCPTR) da_sfSoundBuffer_SaveToFile;
    alias SFI16PTR function(sfSoundBuffer*) da_sfSoundBuffer_GetSamples;
    alias size_t function(sfSoundBuffer*) da_sfSoundBuffer_GetSamplesCount;
    alias uint function(sfSoundBuffer*) da_sfSoundBuffer_GetSampleRate;
    alias uint function(sfSoundBuffer*) da_sfSoundBuffer_GetChannelsCount;
    alias float function(sfSoundBuffer*) da_sfSoundBuffer_GetDuration;
    alias sfSoundBufferRecorder* function() da_sfSoundBufferRecorder_Create;
    alias void function(sfSoundBufferRecorder*) da_sfSoundBufferRecorder_Destroy;
    alias void function(sfSoundBufferRecorder*, uint) da_sfSoundBufferRecorder_Start;
    alias void function(sfSoundBufferRecorder*) da_sfSoundBufferRecorder_Stop;
    alias uint function(sfSoundBufferRecorder*) da_sfSoundBufferRecorder_GetSampleRate;
    alias sfSoundBuffer* function(sfSoundBufferRecorder*) da_sfSoundBufferRecorder_GetBuffer;
    alias sfSoundRecorder* function(sfSoundRecorderStartCallback, sfSoundRecorderProcessCallback, sfSoundRecorderStopCallback, void*) da_sfSoundRecorder_Create;
    alias void function(sfSoundRecorder*) da_sfSoundRecorder_Destroy;
    alias void function(sfSoundRecorder*, uint) da_sfSoundRecorder_Start;
    alias void function(sfSoundRecorder*) da_sfSoundRecorder_Stop;
    alias uint function(sfSoundRecorder*) da_sfSoundRecorder_GetSampleRate;
    alias sfBool function(sfSoundRecorder*) da_sfSoundRecorder_CanCapture;
    alias sfSoundStream* function(sfSoundStreamStartCallback, sfSoundStreamGetDataCallback, uint, uint, void*) da_sfSoundStream_Create;
    alias void function(sfSoundStream*) da_sfSoundStream_Destroy;
    alias void function(sfSoundStream*) da_sfSoundStream_Play;
    alias void function(sfSoundStream*) da_sfSoundStream_Pause;
    alias void function(sfSoundStream*) da_sfSoundStream_Stop;
    alias sfSoundStatus function(sfSoundStream*) da_sfSoundStream_GetStatus;
    alias uint function(sfSoundStream*) da_sfSoundStream_GetChannelsCount;
    alias uint function(sfSoundStream*) da_sfSoundStream_GetSampleRate;
    alias void function(sfSoundStream*, float) da_sfSoundStream_SetPitch;
    alias void function(sfSoundStream*, float) da_sfSoundStream_SetVolume;
    alias void function(sfSoundStream*, float, float, float) da_sfSoundStream_SetPosition;
    alias void function(sfSoundStream*, sfBool) da_sfSoundStream_SetRelativeToListener;
    alias void function(sfSoundStream*, float) da_sfSoundStream_SetMinDistance;
    alias void function(sfSoundStream*, float) da_sfSoundStream_SetAttenuation;
    alias void function(sfSoundStream*, sfBool) da_sfSoundStream_SetLoop;
    alias float function(sfSoundStream*) da_sfSoundStream_GetPitch;
    alias float function(sfSoundStream*) da_sfSoundStream_GetVolume;
    alias void function(sfSoundStream*, float*, float*, float*) da_sfSoundStream_GetPosition;
    alias sfBool function(sfSoundStream*) da_sfSoundStream_IsRelativeToListener;
    alias float function(sfSoundStream*) da_sfSoundStream_GetMinDistance;
    alias float function(sfSoundStream*) da_sfSoundStream_GetAttenuation;
    alias sfBool function(sfSoundStream*) da_sfSoundStream_GetLoop;
    alias float function(sfSoundStream*) da_sfSoundStream_GetPlayingOffset;
}
mixin(gsharedString!() ~ "
da_sfListener_SetGlobalVolume sfListener_SetGlobalVolume;
da_sfListener_GetGlobalVolume sfListener_GetGlobalVolume;
da_sfListener_SetPosition sfListener_SetPosition;
da_sfListener_GetPosition sfListener_GetPosition;
da_sfListener_SetTarget sfListener_SetTarget;
da_sfListener_GetTarget sfListener_GetTarget;
da_sfMusic_CreateFromFile sfMusic_CreateFromFile;
da_sfMusic_CreateFromMemory sfMusic_CreateFromMemory;
da_sfMusic_Destroy sfMusic_Destroy;
da_sfMusic_SetLoop sfMusic_SetLoop;
da_sfMusic_GetLoop sfMusic_GetLoop;
da_sfMusic_GetDuration sfMusic_GetDuration;
da_sfMusic_Play sfMusic_Play;
da_sfMusic_Pause sfMusic_Pause;
da_sfMusic_Stop sfMusic_Stop;
da_sfMusic_GetChannelsCount sfMusic_GetChannelsCount;
da_sfMusic_GetSampleRate sfMusic_GetSampleRate;
da_sfMusic_GetStatus sfMusic_GetStatus;
da_sfMusic_GetPlayingOffset sfMusic_GetPlayingOffset;
da_sfMusic_SetPitch sfMusic_SetPitch;
da_sfMusic_SetVolume sfMusic_SetVolume;
da_sfMusic_SetPosition sfMusic_SetPosition;
da_sfMusic_SetRelativeToListener sfMusic_SetRelativeToListener;
da_sfMusic_SetMinDistance sfMusic_SetMinDistance;
da_sfMusic_SetAttenuation sfMusic_SetAttenuation;
da_sfMusic_GetPitch sfMusic_GetPitch;
da_sfMusic_GetVolume sfMusic_GetVolume;
da_sfMusic_GetPosition sfMusic_GetPosition;
da_sfMusic_IsRelativeToListener sfMusic_IsRelativeToListener;
da_sfMusic_GetMinDistance sfMusic_GetMinDistance;
da_sfMusic_GetAttenuation sfMusic_GetAttenuation;
da_sfSound_Create sfSound_Create;
da_sfSound_Destroy sfSound_Destroy;
da_sfSound_Play sfSound_Play;
da_sfSound_Pause sfSound_Pause;
da_sfSound_Stop sfSound_Stop;
da_sfSound_SetBuffer sfSound_SetBuffer;
da_sfSound_GetBuffer sfSound_GetBuffer;
da_sfSound_SetLoop sfSound_SetLoop;
da_sfSound_GetLoop sfSound_GetLoop;
da_sfSound_GetStatus sfSound_GetStatus;
da_sfSound_SetPitch sfSound_SetPitch;
da_sfSound_SetVolume sfSound_SetVolume;
da_sfSound_SetPosition sfSound_SetPosition;
da_sfSound_SetRelativeToListener sfSound_SetRelativeToListener;
da_sfSound_SetMinDistance sfSound_SetMinDistance;
da_sfSound_SetAttenuation sfSound_SetAttenuation;
da_sfSound_SetPlayingOffset sfSound_SetPlayingOffset;
da_sfSound_GetPitch sfSound_GetPitch;
da_sfSound_GetVolume sfSound_GetVolume;
da_sfSound_GetPosition sfSound_GetPosition;
da_sfSound_IsRelativeToListener sfSound_IsRelativeToListener;
da_sfSound_GetMinDistance sfSound_GetMinDistance;
da_sfSound_GetAttenuation sfSound_GetAttenuation;
da_sfSound_GetPlayingOffset sfSound_GetPlayingOffset;
da_sfSoundBuffer_CreateFromFile sfSoundBuffer_CreateFromFile;
da_sfSoundBuffer_CreateFromMemory sfSoundBuffer_CreateFromMemory;
da_sfSoundBuffer_CreateFromSamples sfSoundBuffer_CreateFromSamples;
da_sfSoundBuffer_Destroy sfSoundBuffer_Destroy;
da_sfSoundBuffer_SaveToFile sfSoundBuffer_SaveToFile;
da_sfSoundBuffer_GetSamples sfSoundBuffer_GetSamples;
da_sfSoundBuffer_GetSamplesCount sfSoundBuffer_GetSamplesCount;
da_sfSoundBuffer_GetSampleRate sfSoundBuffer_GetSampleRate;
da_sfSoundBuffer_GetChannelsCount sfSoundBuffer_GetChannelsCount;
da_sfSoundBuffer_GetDuration sfSoundBuffer_GetDuration;
da_sfSoundBufferRecorder_Create sfSoundBufferRecorder_Create;
da_sfSoundBufferRecorder_Destroy sfSoundBufferRecorder_Destroy;
da_sfSoundBufferRecorder_Start sfSoundBufferRecorder_Start;
da_sfSoundBufferRecorder_Stop sfSoundBufferRecorder_Stop;
da_sfSoundBufferRecorder_GetSampleRate sfSoundBufferRecorder_GetSampleRate;
da_sfSoundBufferRecorder_GetBuffer sfSoundBufferRecorder_GetBuffer;
da_sfSoundRecorder_Create sfSoundRecorder_Create;
da_sfSoundRecorder_Destroy sfSoundRecorder_Destroy;
da_sfSoundRecorder_Start sfSoundRecorder_Start;
da_sfSoundRecorder_Stop sfSoundRecorder_Stop;
da_sfSoundRecorder_GetSampleRate sfSoundRecorder_GetSampleRate;
da_sfSoundRecorder_CanCapture sfSoundRecorder_CanCapture;
da_sfSoundStream_Create sfSoundStream_Create;
da_sfSoundStream_Destroy sfSoundStream_Destroy;
da_sfSoundStream_Play sfSoundStream_Play;
da_sfSoundStream_Pause sfSoundStream_Pause;
da_sfSoundStream_Stop sfSoundStream_Stop;
da_sfSoundStream_GetStatus sfSoundStream_GetStatus;
da_sfSoundStream_GetChannelsCount sfSoundStream_GetChannelsCount;
da_sfSoundStream_GetSampleRate sfSoundStream_GetSampleRate;
da_sfSoundStream_SetPitch sfSoundStream_SetPitch;
da_sfSoundStream_SetVolume sfSoundStream_SetVolume;
da_sfSoundStream_SetPosition sfSoundStream_SetPosition;
da_sfSoundStream_SetRelativeToListener sfSoundStream_SetRelativeToListener;
da_sfSoundStream_SetMinDistance sfSoundStream_SetMinDistance;
da_sfSoundStream_SetAttenuation sfSoundStream_SetAttenuation;
da_sfSoundStream_SetLoop sfSoundStream_SetLoop;
da_sfSoundStream_GetPitch sfSoundStream_GetPitch;
da_sfSoundStream_GetVolume sfSoundStream_GetVolume;
da_sfSoundStream_GetPosition sfSoundStream_GetPosition;
da_sfSoundStream_IsRelativeToListener sfSoundStream_IsRelativeToListener;
da_sfSoundStream_GetMinDistance sfSoundStream_GetMinDistance;
da_sfSoundStream_GetAttenuation sfSoundStream_GetAttenuation;
da_sfSoundStream_GetLoop sfSoundStream_GetLoop;
da_sfSoundStream_GetPlayingOffset sfSoundStream_GetPlayingOffset;
");
