// D import file generated from 'derelict/sfml/gfuncs.d'
module derelict.sfml.gfuncs;
private 
{
    import derelict.util.compat;
    import derelict.sfml.config;
    import derelict.sfml.wtypes;
    import derelict.sfml.gtypes;
}
version (D_Version2)
{
    mixin("alias const(sfUint8*) SFU8PTR;");
    mixin("alias const(sfView*) SFVPTR;");
}
else
{
    alias sfUint8* SFU8PTR;
    alias sfView* SFVPTR;
}
extern (C) 
{
    alias sfColor function(sfUint8, sfUint8, sfUint8, sfUint8) da_sfColor_FromRGBA;
    alias sfColor function(sfColor, sfColor) da_sfColor_Add;
    alias sfColor function(sfColor, sfColor) da_sfColor_Modulate;
    alias sfFont* function() da_sfFont_Create;
    alias sfFont* function(CCPTR, uint, in sfUint32*) da_sfFont_CreateFromFile;
    alias sfFont* function(in ubyte*, size_t, uint, in sfUint32*) da_sfFont_CreateFromMemory;
    alias void function(sfFont*) da_sfFont_Destroy;
    alias uint function(sfFont*) da_sfFont_GetCharacterSize;
    alias sfFont* function() da_sfFont_GetDefaultFont;
    alias sfImage* function() da_sfImage_Create;
    alias sfImage* function(uint, uint, sfColor) da_sfImage_CreateFromColor;
    alias sfImage* function(uint, uint, in sfUint8*) da_sfImage_CreateFromPixels;
    alias sfImage* function(CCPTR) da_sfImage_CreateFromFile;
    alias sfImage* function(in ubyte*, size_t) da_sfImage_CreateFromMemory;
    alias void function(sfImage*) da_sfImage_Destroy;
    alias sfBool function(sfImage*, CCPTR) da_sfImage_SaveToFile;
    alias void function(sfImage*, sfColor, sfUint8) da_sfImage_CreateMaskFromColor;
    alias void function(sfImage*, sfImage*, uint, uint, sfIntRect) da_sfImage_Copy;
    alias sfBool function(sfImage*, sfRenderWindow*, sfIntRect) da_sfImage_CopyScreen;
    alias void function(sfImage*, uint, uint, sfColor) da_sfImage_SetPixel;
    alias sfColor function(sfImage*, uint, uint) da_sfImage_GetPixel;
    alias SFU8PTR function(sfImage*) da_sfImage_GetPixelsPtr;
    alias void function(sfImage*) da_sfImage_Bind;
    alias void function(sfImage*, sfBool) da_sfImage_SetSmooth;
    alias uint function(sfImage*) da_sfImage_GetWidth;
    alias uint function(sfImage*) da_sfImage_GetHeight;
    alias sfBool function(sfImage*) da_sfImage_IsSmooth;
    alias sfPostFX* function(CCPTR) da_sfPostFX_CreateFromFile;
    alias sfPostFX* function(ubyte*) da_sfPostFX_CreateFromMemory;
    alias void function(sfPostFX*) da_sfPostFX_Destroy;
    alias void function(sfPostFX*, CCPTR, float) da_sfPostFX_SetParameter1;
    alias void function(sfPostFX*, CCPTR, float, float) da_sfPostFX_SetParameter2;
    alias void function(sfPostFX*, CCPTR, float, float, float) da_sfPostFX_SetParameter3;
    alias void function(sfPostFX*, CCPTR, float, float, float, float) da_sfPostFX_SetParameter4;
    alias void function(sfPostFX*, CCPTR, sfImage*) da_sfPostFX_SetTexture;
    alias sfBool function() da_sfPostFX_CanUsePostFX;
    alias void function(sfFloatRect*, float, float) da_sfFloatRect_Offset;
    alias void function(sfIntRect*, int, int) da_sfIntRect_Offset;
    alias sfBool function(sfFloatRect*, float, float) da_sfFloatRect_Contains;
    alias sfBool function(sfIntRect*, int, int) da_sfIntRect_Contains;
    alias sfBool function(sfFloatRect*, sfFloatRect*, sfFloatRect*) da_sfFloatRect_Intersects;
    alias sfBool function(sfIntRect*, sfIntRect*, sfIntRect*) da_sfIntRect_Intersects;
    alias sfRenderWindow* function(sfVideoMode, CCPTR, c_ulong, sfWindowSettings) da_sfRenderWindow_Create;
    alias sfRenderWindow* function(sfWindowHandle, sfWindowSettings) da_sfRenderWindow_CreateFromHandle;
    alias void function(sfRenderWindow*) da_sfRenderWindow_Destroy;
    alias void function(sfRenderWindow*) da_sfRenderWindow_Close;
    alias sfBool function(sfRenderWindow*) da_sfRenderWindow_IsOpened;
    alias uint function(sfRenderWindow*) da_sfRenderWindow_GetWidth;
    alias uint function(sfRenderWindow*) da_sfRenderWindow_GetHeight;
    alias sfWindowSettings function(sfRenderWindow*) da_sfRenderWindow_GetSettings;
    alias sfBool function(sfRenderWindow*, sfEvent*) da_sfRenderWindow_GetEvent;
    alias void function(sfRenderWindow*, sfBool) da_sfRenderWindow_UseVerticalSync;
    alias void function(sfRenderWindow*, sfBool) da_sfRenderWindow_ShowMouseCursor;
    alias void function(sfRenderWindow*, uint, uint) da_sfRenderWindow_SetCursorPosition;
    alias void function(sfRenderWindow*, int, int) da_sfRenderWindow_SetPosition;
    alias void function(sfRenderWindow*, uint, uint) da_sfRenderWindow_SetSize;
    alias void function(sfRenderWindow*, sfBool) da_sfRenderWindow_Show;
    alias void function(sfRenderWindow*, sfBool) da_sfRenderWindow_EnableKeyRepeat;
    alias void function(sfRenderWindow*, uint, uint, sfUint8*) da_sfRenderWindow_SetIcon;
    alias sfBool function(sfRenderWindow*, sfBool) da_sfRenderWindow_SetActive;
    alias void function(sfRenderWindow*) da_sfRenderWindow_Display;
    alias sfInput* function(sfRenderWindow*) da_sfRenderWindow_GetInput;
    alias void function(sfRenderWindow*, uint) da_sfRenderWindow_SetFramerateLimit;
    alias float function(sfRenderWindow*) da_sfRenderWindow_GetFrameTime;
    alias void function(sfRenderWindow*, float) da_sfRenderWindow_SetJoystickThreshold;
    alias void function(sfRenderWindow*, sfPostFX*) da_sfRenderWindow_DrawPostFX;
    alias void function(sfRenderWindow*, sfSprite*) da_sfRenderWindow_DrawSprite;
    alias void function(sfRenderWindow*, sfShape*) da_sfRenderWindow_DrawShape;
    alias void function(sfRenderWindow*, sfString*) da_sfRenderWindow_DrawString;
    alias sfImage* function(sfRenderWindow*) da_sfRenderWindow_Capture;
    alias void function(sfRenderWindow*, sfColor) da_sfRenderWindow_Clear;
    alias void function(sfRenderWindow*, sfView*) da_sfRenderWindow_SetView;
    alias SFVPTR function(sfRenderWindow*) da_sfRenderWindow_GetView;
    alias sfView* function(sfRenderWindow*) da_sfRenderWindow_GetDefaultView;
    alias void function(sfRenderWindow*, uint, uint, float*, float*, float*, sfView*) da_sfRenderWindow_ConvertCoords;
    alias void function(sfRenderWindow*, sfBool) da_sfRenderWindow_PreserveOpenGLStates;
    alias sfShape* function() da_sfShape_Create;
    alias sfShape* function(float, float, float, float, float, sfColor, float, sfColor) da_sfShape_CreateLine;
    alias sfShape* function(float, float, float, float, sfColor, float, sfColor) da_sfShape_CreateRectangle;
    alias sfShape* function(float, float, float, sfColor, float, sfColor) da_sfShape_CreateCircle;
    alias void function(sfShape*) da_sfShape_Destroy;
    alias void function(sfShape*, float) da_sfShape_SetX;
    alias void function(sfShape*, float) da_sfShape_SetY;
    alias void function(sfShape*, float, float) da_sfShape_SetPosition;
    alias void function(sfShape*, float) da_sfShape_SetScaleX;
    alias void function(sfShape*, float) da_sfShape_SetScaleY;
    alias void function(sfShape*, float, float) da_sfShape_SetScale;
    alias void function(sfShape*, float) da_sfShape_SetRotation;
    alias void function(sfShape*, float, float) da_sfShape_SetCenter;
    alias void function(sfShape*, sfColor) da_sfShape_SetColor;
    alias void function(sfShape*, sfBlendMode) da_sfShape_SetBlendMode;
    alias float function(sfShape*) da_sfShape_GetX;
    alias float function(sfShape*) da_sfShape_GetY;
    alias float function(sfShape*) da_sfShape_GetScaleX;
    alias float function(sfShape*) da_sfShape_GetScaleY;
    alias float function(sfShape*) da_sfShape_GetRotation;
    alias float function(sfShape*) da_sfShape_GetCenterX;
    alias float function(sfShape*) da_sfShape_GetCenterY;
    alias sfColor function(sfShape*) da_sfShape_GetColor;
    alias sfBlendMode function(sfShape*) da_sfShape_GetBlendMode;
    alias void function(sfShape*, float, float) da_sfShape_Move;
    alias void function(sfShape*, float, float) da_sfShape_Scale;
    alias void function(sfShape*, float) da_sfShape_Rotate;
    alias void function(sfShape*, float, float, float*, float*) da_sfShape_TransformToLocal;
    alias void function(sfShape*, float, float, float*, float*) da_sfShape_TransformToGlobal;
    alias void function(sfShape*, float, float, sfColor, sfColor) da_sfShape_AddPoint;
    alias void function(sfShape*, sfBool) da_sfShape_EnableFill;
    alias void function(sfShape*, sfBool) da_sfShape_EnableOutline;
    alias void function(sfShape*, float) da_sfShape_SetOutlineWidth;
    alias float function(sfShape*) da_sfShape_GetOutlineWidth;
    alias uint function(sfShape*) da_sfShape_GetNbPoints;
    alias void function(sfShape*, uint, float*, float*) da_sfShape_GetPointPosition;
    alias sfColor function(sfShape*, uint) da_sfShape_GetPointColor;
    alias sfColor function(sfShape*, uint) da_sfShape_GetPointOutlineColor;
    alias void function(sfShape*, uint, float, float) da_sfShape_SetPointPosition;
    alias void function(sfShape*, uint, sfColor) da_sfShape_SetPointColor;
    alias void function(sfShape*, uint, sfColor) da_sfShape_SetPointOutlineColor;
    alias sfSprite* function() da_sfSprite_Create;
    alias void function(sfSprite*) da_sfSprite_Destroy;
    alias void function(sfSprite*, float) da_sfSprite_SetX;
    alias void function(sfSprite*, float) da_sfSprite_SetY;
    alias void function(sfSprite*, float, float) da_sfSprite_SetPosition;
    alias void function(sfSprite*, float) da_sfSprite_SetScaleX;
    alias void function(sfSprite*, float) da_sfSprite_SetScaleY;
    alias void function(sfSprite*, float, float) da_sfSprite_SetScale;
    alias void function(sfSprite*, float) da_sfSprite_SetRotation;
    alias void function(sfSprite*, float, float) da_sfSprite_SetCenter;
    alias void function(sfSprite*, sfColor) da_sfSprite_SetColor;
    alias void function(sfSprite*, sfBlendMode) da_sfSprite_SetBlendMode;
    alias float function(sfSprite*) da_sfSprite_GetX;
    alias float function(sfSprite*) da_sfSprite_GetY;
    alias float function(sfSprite*) da_sfSprite_GetScaleX;
    alias float function(sfSprite*) da_sfSprite_GetScaleY;
    alias float function(sfSprite*) da_sfSprite_GetRotation;
    alias float function(sfSprite*) da_sfSprite_GetCenterX;
    alias float function(sfSprite*) da_sfSprite_GetCenterY;
    alias sfColor function(sfSprite*) da_sfSprite_GetColor;
    alias sfBlendMode function(sfSprite*) da_sfSprite_GetBlendMode;
    alias void function(sfSprite*, float, float) da_sfSprite_Move;
    alias void function(sfSprite*, float, float) da_sfSprite_Scale;
    alias void function(sfSprite*, float) da_sfSprite_Rotate;
    alias void function(sfSprite*, float, float, float*, float*) da_sfSprite_TransformToLocal;
    alias void function(sfSprite*, float, float, float*, float*) da_sfSprite_TransformToGlobal;
    alias void function(sfSprite*, sfImage*) da_sfSprite_SetImage;
    alias void function(sfSprite*, sfIntRect) da_sfSprite_SetSubRect;
    alias void function(sfSprite*, float, float) da_sfSprite_Resize;
    alias void function(sfSprite*, sfBool) da_sfSprite_FlipX;
    alias void function(sfSprite*, sfBool) da_sfSprite_FlipY;
    alias sfImage* function(sfSprite*) da_sfSprite_GetImage;
    alias sfIntRect function(sfSprite*) da_sfSprite_GetSubRect;
    alias float function(sfSprite*) da_sfSprite_GetWidth;
    alias float function(sfSprite*) da_sfSprite_GetHeight;
    alias sfColor function(sfSprite*, uint, uint) da_sfSprite_GetPixel;
    alias sfString* function() da_sfString_Create;
    alias void function(sfString*) da_sfString_Destroy;
    alias void function(sfString*, float) da_sfString_SetX;
    alias void function(sfString*, float) da_sfString_SetY;
    alias void function(sfString*, float, float) da_sfString_SetPosition;
    alias void function(sfString*, float) da_sfString_SetScaleX;
    alias void function(sfString*, float) da_sfString_SetScaleY;
    alias void function(sfString*, float, float) da_sfString_SetScale;
    alias void function(sfString*, float) da_sfString_SetRotation;
    alias void function(sfString*, float, float) da_sfString_SetCenter;
    alias void function(sfString*, sfColor) da_sfString_SetColor;
    alias void function(sfString*, sfBlendMode) da_sfString_SetBlendMode;
    alias float function(sfString*) da_sfString_GetX;
    alias float function(sfString*) da_sfString_GetY;
    alias float function(sfString*) da_sfString_GetScaleX;
    alias float function(sfString*) da_sfString_GetScaleY;
    alias float function(sfString*) da_sfString_GetRotation;
    alias float function(sfString*) da_sfString_GetCenterX;
    alias float function(sfString*) da_sfString_GetCenterY;
    alias sfColor function(sfString*) da_sfString_GetColor;
    alias sfBlendMode function(sfString*) da_sfString_GetBlendMode;
    alias void function(sfString*, float, float) da_sfString_Move;
    alias void function(sfString*, float, float) da_sfString_Scale;
    alias void function(sfString*, float) da_sfString_Rotate;
    alias void function(sfString*, float, float, float*, float*) da_sfString_TransformToLocal;
    alias void function(sfString*, float, float, float*, float*) da_sfString_TransformToGlobal;
    alias void function(sfString*, CCPTR) da_sfString_SetText;
    alias void function(sfString*, CDCPTR) da_sfString_SetUnicodeText;
    alias void function(sfString*, sfFont*) da_sfString_SetFont;
    alias void function(sfString*, float) da_sfString_SetSize;
    alias void function(sfString*, c_ulong) da_sfString_SetStyle;
    alias CDCPTR function(sfString*) da_sfString_GetUnicodeText;
    alias CCPTR function(sfString*) da_sfString_GetText;
    alias sfFont* function(sfString*) da_sfString_GetFont;
    alias float function(sfString*) da_sfString_GetSize;
    alias c_ulong function(sfString*) da_sfString_GetStyle;
    alias void function(sfString*, size_t, float*, float*) da_sfString_GetCharacterPos;
    alias sfFloatRect function(sfString*) da_sfString_GetRect;
    alias sfView* function() da_sfView_Create;
    alias sfView* function(sfFloatRect) da_sfView_CreateFromRect;
    alias void function(sfView*) da_sfView_Destroy;
    alias void function(sfView*, float, float) da_sfView_SetCenter;
    alias void function(sfView*, float, float) da_sfView_SetHalfSize;
    alias void function(sfView*, sfFloatRect) da_sfView_SetFromRect;
    alias float function(sfView*) da_sfView_GetCenterX;
    alias float function(sfView*) da_sfView_GetCenterY;
    alias float function(sfView*) da_sfView_GetHalfSizeX;
    alias float function(sfView*) da_sfView_GetHalfSizeY;
    alias sfFloatRect function(sfView*) da_sfView_GetRect;
    alias void function(sfView*, float, float) da_sfView_Move;
    alias void function(sfView*, float) da_sfView_Zoom;
}
mixin(gsharedString!() ~ "
da_sfColor_FromRGBA sfColor_FromRGBA;
da_sfColor_Add sfColor_Add;
da_sfColor_Modulate sfColor_Modulate;
da_sfFont_Create sfFont_Create;
da_sfFont_CreateFromFile sfFont_CreateFromFile;
da_sfFont_CreateFromMemory sfFont_CreateFromMemory;
da_sfFont_Destroy sfFont_Destroy;
da_sfFont_GetCharacterSize sfFont_GetCharacterSize;
da_sfFont_GetDefaultFont sfFont_GetDefaultFont;
da_sfImage_Create sfImage_Create;
da_sfImage_CreateFromColor sfImage_CreateFromColor;
da_sfImage_CreateFromPixels sfImage_CreateFromPixels;
da_sfImage_CreateFromFile sfImage_CreateFromFile;
da_sfImage_CreateFromMemory sfImage_CreateFromMemory;
da_sfImage_Destroy sfImage_Destroy;
da_sfImage_SaveToFile sfImage_SaveToFile;
da_sfImage_CreateMaskFromColor sfImage_CreateMaskFromColor;
da_sfImage_Copy sfImage_Copy;
da_sfImage_CopyScreen sfImage_CopyScreen;
da_sfImage_SetPixel sfImage_SetPixel;
da_sfImage_GetPixel sfImage_GetPixel;
da_sfImage_GetPixelsPtr sfImage_GetPixelsPtr;
da_sfImage_Bind sfImage_Bind;
da_sfImage_SetSmooth sfImage_SetSmooth;
da_sfImage_GetWidth sfImage_GetWidth;
da_sfImage_GetHeight sfImage_GetHeight;
da_sfImage_IsSmooth sfImage_IsSmooth;
da_sfPostFX_CreateFromFile sfPostFX_CreateFromFile;
da_sfPostFX_CreateFromMemory sfPostFX_CreateFromMemory;
da_sfPostFX_Destroy sfPostFX_Destroy;
da_sfPostFX_SetParameter1 sfPostFX_SetParameter1;
da_sfPostFX_SetParameter2 sfPostFX_SetParameter2;
da_sfPostFX_SetParameter3 sfPostFX_SetParameter3;
da_sfPostFX_SetParameter4 sfPostFX_SetParameter4;
da_sfPostFX_SetTexture sfPostFX_SetTexture;
da_sfPostFX_CanUsePostFX sfPostFX_CanUsePostFX;
da_sfFloatRect_Offset sfFloatRect_Offset;
da_sfIntRect_Offset sfIntRect_Offset;
da_sfFloatRect_Contains sfFloatRect_Contains;
da_sfIntRect_Contains sfIntRect_Contains;
da_sfFloatRect_Intersects sfFloatRect_Intersects;
da_sfIntRect_Intersects sfIntRect_Intersects;
da_sfRenderWindow_Create sfRenderWindow_Create;
da_sfRenderWindow_CreateFromHandle sfRenderWindow_CreateFromHandle;
da_sfRenderWindow_Destroy sfRenderWindow_Destroy;
da_sfRenderWindow_Close sfRenderWindow_Close;
da_sfRenderWindow_IsOpened sfRenderWindow_IsOpened;
da_sfRenderWindow_GetWidth sfRenderWindow_GetWidth;
da_sfRenderWindow_GetHeight sfRenderWindow_GetHeight;
da_sfRenderWindow_GetSettings sfRenderWindow_GetSettings;
da_sfRenderWindow_GetEvent sfRenderWindow_GetEvent;
da_sfRenderWindow_UseVerticalSync sfRenderWindow_UseVerticalSync;
da_sfRenderWindow_ShowMouseCursor sfRenderWindow_ShowMouseCursor;
da_sfRenderWindow_SetCursorPosition sfRenderWindow_SetCursorPosition;
da_sfRenderWindow_SetPosition sfRenderWindow_SetPosition;
da_sfRenderWindow_SetSize sfRenderWindow_SetSize;
da_sfRenderWindow_Show sfRenderWindow_Show;
da_sfRenderWindow_EnableKeyRepeat sfRenderWindow_EnableKeyRepeat;
da_sfRenderWindow_SetIcon sfRenderWindow_SetIcon;
da_sfRenderWindow_SetActive sfRenderWindow_SetActive;
da_sfRenderWindow_Display sfRenderWindow_Display;
da_sfRenderWindow_GetInput sfRenderWindow_GetInput;
da_sfRenderWindow_SetFramerateLimit sfRenderWindow_SetFramerateLimit;
da_sfRenderWindow_GetFrameTime sfRenderWindow_GetFrameTime;
da_sfRenderWindow_SetJoystickThreshold sfRenderWindow_SetJoystickThreshold;
da_sfRenderWindow_DrawPostFX sfRenderWindow_DrawPostFX;
da_sfRenderWindow_DrawSprite sfRenderWindow_DrawSprite;
da_sfRenderWindow_DrawShape sfRenderWindow_DrawShape;
da_sfRenderWindow_DrawString sfRenderWindow_DrawString;
da_sfRenderWindow_Capture sfRenderWindow_Capture;
da_sfRenderWindow_Clear sfRenderWindow_Clear;
da_sfRenderWindow_SetView sfRenderWindow_SetView;
da_sfRenderWindow_GetView sfRenderWindow_GetView;
da_sfRenderWindow_GetDefaultView sfRenderWindow_GetDefaultView;
da_sfRenderWindow_ConvertCoords sfRenderWindow_ConvertCoords;
da_sfRenderWindow_PreserveOpenGLStates sfRenderWindow_PreserveOpenGLStates;
da_sfShape_Create sfShape_Create;
da_sfShape_CreateLine sfShape_CreateLine;
da_sfShape_CreateRectangle sfShape_CreateRectangle;
da_sfShape_CreateCircle sfShape_CreateCircle;
da_sfShape_Destroy sfShape_Destroy;
da_sfShape_SetX sfShape_SetX;
da_sfShape_SetY sfShape_SetY;
da_sfShape_SetPosition sfShape_SetPosition;
da_sfShape_SetScaleX sfShape_SetScaleX;
da_sfShape_SetScaleY sfShape_SetScaleY;
da_sfShape_SetScale sfShape_SetScale;
da_sfShape_SetRotation sfShape_SetRotation;
da_sfShape_SetCenter sfShape_SetCenter;
da_sfShape_SetColor sfShape_SetColor;
da_sfShape_SetBlendMode sfShape_SetBlendMode;
da_sfShape_GetX sfShape_GetX;
da_sfShape_GetY sfShape_GetY;
da_sfShape_GetScaleX sfShape_GetScaleX;
da_sfShape_GetScaleY sfShape_GetScaleY;
da_sfShape_GetRotation sfShape_GetRotation;
da_sfShape_GetCenterX sfShape_GetCenterX;
da_sfShape_GetCenterY sfShape_GetCenterY;
da_sfShape_GetColor sfShape_GetColor;
da_sfShape_GetBlendMode sfShape_GetBlendMode;
da_sfShape_Move sfShape_Move;
da_sfShape_Scale sfShape_Scale;
da_sfShape_Rotate sfShape_Rotate;
da_sfShape_TransformToLocal sfShape_TransformToLocal;
da_sfShape_TransformToGlobal sfShape_TransformToGlobal;
da_sfShape_AddPoint sfShape_AddPoint;
da_sfShape_EnableFill sfShape_EnableFill;
da_sfShape_EnableOutline sfShape_EnableOutline;
da_sfShape_SetOutlineWidth sfShape_SetOutlineWidth;
da_sfShape_GetOutlineWidth sfShape_GetOutlineWidth;
da_sfShape_GetNbPoints sfShape_GetNbPoints;
da_sfShape_GetPointPosition sfShape_GetPointPosition;
da_sfShape_GetPointColor sfShape_GetPointColor;
da_sfShape_GetPointOutlineColor sfShape_GetPointOutlineColor;
da_sfShape_SetPointPosition sfShape_SetPointPosition;
da_sfShape_SetPointColor sfShape_SetPointColor;
da_sfShape_SetPointOutlineColor sfShape_SetPointOutlineColor;
da_sfSprite_Create sfSprite_Create;
da_sfSprite_Destroy sfSprite_Destroy;
da_sfSprite_SetX sfSprite_SetX;
da_sfSprite_SetY sfSprite_SetY;
da_sfSprite_SetPosition sfSprite_SetPosition;
da_sfSprite_SetScaleX sfSprite_SetScaleX;
da_sfSprite_SetScaleY sfSprite_SetScaleY;
da_sfSprite_SetScale sfSprite_SetScale;
da_sfSprite_SetRotation sfSprite_SetRotation;
da_sfSprite_SetCenter sfSprite_SetCenter;
da_sfSprite_SetColor sfSprite_SetColor;
da_sfSprite_SetBlendMode sfSprite_SetBlendMode;
da_sfSprite_GetX sfSprite_GetX;
da_sfSprite_GetY sfSprite_GetY;
da_sfSprite_GetScaleX sfSprite_GetScaleX;
da_sfSprite_GetScaleY sfSprite_GetScaleY;
da_sfSprite_GetRotation sfSprite_GetRotation;
da_sfSprite_GetCenterX sfSprite_GetCenterX;
da_sfSprite_GetCenterY sfSprite_GetCenterY;
da_sfSprite_GetColor sfSprite_GetColor;
da_sfSprite_GetBlendMode sfSprite_GetBlendMode;
da_sfSprite_Move sfSprite_Move;
da_sfSprite_Scale sfSprite_Scale;
da_sfSprite_Rotate sfSprite_Rotate;
da_sfSprite_TransformToLocal sfSprite_TransformToLocal;
da_sfSprite_TransformToGlobal sfSprite_TransformToGlobal;
da_sfSprite_SetImage sfSprite_SetImage;
da_sfSprite_SetSubRect sfSprite_SetSubRect;
da_sfSprite_Resize sfSprite_Resize;
da_sfSprite_FlipX sfSprite_FlipX;
da_sfSprite_FlipY sfSprite_FlipY;
da_sfSprite_GetImage sfSprite_GetImage;
da_sfSprite_GetSubRect sfSprite_GetSubRect;
da_sfSprite_GetWidth sfSprite_GetWidth;
da_sfSprite_GetHeight sfSprite_GetHeight;
da_sfSprite_GetPixel sfSprite_GetPixel;
da_sfString_Create sfString_Create;
da_sfString_Destroy sfString_Destroy;
da_sfString_SetX sfString_SetX;
da_sfString_SetY sfString_SetY;
da_sfString_SetPosition sfString_SetPosition;
da_sfString_SetScaleX sfString_SetScaleX;
da_sfString_SetScaleY sfString_SetScaleY;
da_sfString_SetScale sfString_SetScale;
da_sfString_SetRotation sfString_SetRotation;
da_sfString_SetCenter sfString_SetCenter;
da_sfString_SetColor sfString_SetColor;
da_sfString_SetBlendMode sfString_SetBlendMode;
da_sfString_GetX sfString_GetX;
da_sfString_GetY sfString_GetY;
da_sfString_GetScaleX sfString_GetScaleX;
da_sfString_GetScaleY sfString_GetScaleY;
da_sfString_GetRotation sfString_GetRotation;
da_sfString_GetCenterX sfString_GetCenterX;
da_sfString_GetCenterY sfString_GetCenterY;
da_sfString_GetColor sfString_GetColor;
da_sfString_GetBlendMode sfString_GetBlendMode;
da_sfString_Move sfString_Move;
da_sfString_Scale sfString_Scale;
da_sfString_Rotate sfString_Rotate;
da_sfString_TransformToLocal sfString_TransformToLocal;
da_sfString_TransformToGlobal sfString_TransformToGlobal;
da_sfString_SetText sfString_SetText;
da_sfString_SetUnicodeText sfString_SetUnicodeText;
da_sfString_SetFont sfString_SetFont;
da_sfString_SetSize sfString_SetSize;
da_sfString_SetStyle sfString_SetStyle;
da_sfString_GetUnicodeText sfString_GetUnicodeText;
da_sfString_GetText sfString_GetText;
da_sfString_GetFont sfString_GetFont;
da_sfString_GetSize sfString_GetSize;
da_sfString_GetStyle sfString_GetStyle;
da_sfString_GetCharacterPos sfString_GetCharacterPos;
da_sfString_GetRect sfString_GetRect;
da_sfView_Create sfView_Create;
da_sfView_CreateFromRect sfView_CreateFromRect;
da_sfView_Destroy sfView_Destroy;
da_sfView_SetCenter sfView_SetCenter;
da_sfView_SetHalfSize sfView_SetHalfSize;
da_sfView_SetFromRect sfView_SetFromRect;
da_sfView_GetCenterX sfView_GetCenterX;
da_sfView_GetCenterY sfView_GetCenterY;
da_sfView_GetHalfSizeX sfView_GetHalfSizeX;
da_sfView_GetHalfSizeY sfView_GetHalfSizeY;
da_sfView_GetRect sfView_GetRect;
da_sfView_Move sfView_Move;
da_sfView_Zoom sfView_Zoom;
");
